import React, { useCallback } from "react";
import { FlatList, View } from "react-native";
import QuickActionButton from "../QuickActionButton";
const QuickActionList = ({ numColumns = 3, data, id, testID, isActive = false, ...otherProps }) => {
    const renderItem = useCallback(({ item, index }) => {
        const hasRowBelow = data?.length && index + numColumns < data.length;
        const mb = hasRowBelow ? 4 : 0;
        const mh = 6;
        return (React.createElement(View, { style: { flex: 1, minHeight: 30, marginHorizontal: mh } },
            React.createElement(QuickActionButton, { ...item, isActive: isActive, mb: mb, testID: testID })));
    }, []);
    return (React.createElement(FlatList, { ...otherProps, data: data, keyExtractor: (_item, index) => `${id}${index}`, horizontal: false, renderItem: renderItem, numColumns: numColumns }));
};
export default QuickActionList;
