import React from "react";
import { within, userEvent } from "@storybook/testing-library";
import { expect } from "@storybook/jest";
import { Icons } from "../../../assets";
import { Input } from "./Input";
const meta = {
    component: Input,
    title: "PreLdls/Components/Input",
    tags: ["autodocs"],
    args: {},
};
export default meta;
export const Default = {
    args: {},
};
export const Search = {
    args: {
        placeholder: "Search",
        icon: (props) => React.createElement(Icons.Search, { size: "S", ...props }),
    },
};
// Interaction Testing
export const WithInteraction = {
    args: {},
    controls: { expanded: true },
    play: async ({ canvasElement }) => {
        const canvas = within(canvasElement);
        const input = canvas.getByRole("textbox");
        await userEvent.type(input, "Write something");
        expect(input).toHaveValue("Write something");
    },
};
