/// <reference types="lodash" />
import { ModeColors, SpacingScale } from "./design-tokens";
declare const overrideOther: {
    readonly "radius-s": "8px";
    readonly "radius-xs": "4px";
    readonly "border-width-default": "1px";
    readonly "border-width-focus": "2px";
    readonly "margin-xs": "8px";
    readonly "margin-s": "16px";
    readonly "margin-m": "24px";
    readonly "margin-l": "32px";
    readonly "spacing-xs": "12px";
    readonly "spacing-xxs": "8px";
};
declare const overrideColor: {
    readonly light: {
        readonly "surface-transparent-hover": "#0000000D";
        readonly "surface-transparent-pressed": "#0000001A";
        readonly "border-subdued-default-hover": "#D5D5D5";
        readonly "border-subdued-default-pressed": "#C1C1C1";
    };
    readonly dark: {
        readonly "opacity-default-10": "#FFFFFF1A";
    };
};
export type Tokens = Record<string, string | number>;
type ColorToken = `colors-${keyof ModeColors}` | `colors-${keyof typeof overrideColor.light}` | `colors-${keyof typeof overrideColor.dark}`;
type OtherToken = keyof (SpacingScale & typeof overrideOther);
export declare const useTokens: ((theme: "dark" | "light", usedTokens: Array<ColorToken | OtherToken>) => Tokens) & import("lodash").MemoizedFunction;
export {};
//# sourceMappingURL=index.d.ts.map